list_ucPortCountLeadingZeros:
;portmacro.h,183 :: 		static inline uint8_t ucPortCountLeadingZeros(uint32_t ulBitmap)
;portmacro.h,185 :: 		asm CLZ R0, R0;
CLZ	R0, R0
;portmacro.h,186 :: 		return R0;
UXTB	R0, R0
;portmacro.h,187 :: 		}
L_end_ucPortCountLeadingZeros:
BX	LR
; end of list_ucPortCountLeadingZeros
list_vPortRaiseBASEPRI:
;portmacro.h,229 :: 		portFORCE_INLINE static void vPortRaiseBASEPRI( void )
;portmacro.h,234 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewBASEPRI);
MOV	R0, #16
MOV	R12, R0
MSR	#17, R12
;portmacro.h,236 :: 		asm ISB;
ISB	#15
;portmacro.h,237 :: 		asm DSB;
DSB	#15
;portmacro.h,238 :: 		}
L_end_vPortRaiseBASEPRI:
BX	LR
; end of list_vPortRaiseBASEPRI
list_ulPortRaiseBASEPRI:
;portmacro.h,241 :: 		portFORCE_INLINE static uint32_t ulPortRaiseBASEPRI( void )
;portmacro.h,245 :: 		ulOriginalBASEPRI = CPU_REG_GET(CPU_BASEPRI);
MRS	R12, #17
MOV	R0, R12
; ulOriginalBASEPRI start address is: 4 (R1)
MOV	R1, R0
;portmacro.h,247 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewBASEPRI);
MOV	R0, #16
MOV	R12, R0
MSR	#17, R12
;portmacro.h,249 :: 		asm ISB;
ISB	#15
;portmacro.h,250 :: 		asm DSB;
DSB	#15
;portmacro.h,254 :: 		return ulOriginalBASEPRI;
MOV	R0, R1
; ulOriginalBASEPRI end address is: 4 (R1)
;portmacro.h,255 :: 		}
L_end_ulPortRaiseBASEPRI:
BX	LR
; end of list_ulPortRaiseBASEPRI
list_vPortSetBASEPRI:
;portmacro.h,258 :: 		portFORCE_INLINE static void vPortSetBASEPRI( uint32_t ulNewMaskValue )
; ulNewMaskValue start address is: 0 (R0)
; ulNewMaskValue end address is: 0 (R0)
; ulNewMaskValue start address is: 0 (R0)
;portmacro.h,260 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewMaskValue);
MOV	R1, R0
; ulNewMaskValue end address is: 0 (R0)
MOV	R12, R1
MSR	#17, R12
;portmacro.h,261 :: 		}
L_end_vPortSetBASEPRI:
BX	LR
; end of list_vPortSetBASEPRI
_vListInitialise:
;list.c,79 :: 		void vListInitialise( List_t * const pxList )
; pxList start address is: 0 (R0)
; pxList end address is: 0 (R0)
; pxList start address is: 0 (R0)
;list.c,84 :: 		pxList->pxIndex = ( ListItem_t * ) &( pxList->xListEnd );                        /*lint !e826 !e740 The mini list structure is used as the list end to save RAM.  This is checked and valid. */
ADDS	R2, R0, #4
ADDW	R1, R0, #8
STR	R1, [R2, #0]
;list.c,88 :: 		pxList->xListEnd.xItemValue = portMAX_DELAY;
ADDW	R2, R0, #8
MOV	R1, #-1
STR	R1, [R2, #0]
;list.c,92 :: 		pxList->xListEnd.pxNext = ( ListItem_t * ) &( pxList->xListEnd );        /*lint !e826 !e740 The mini list structure is used as the list end to save RAM.  This is checked and valid. */
ADDW	R2, R0, #8
ADDS	R1, R2, #4
STR	R2, [R1, #0]
;list.c,93 :: 		pxList->xListEnd.pxPrevious = ( ListItem_t * ) &( pxList->xListEnd );/*lint !e826 !e740 The mini list structure is used as the list end to save RAM.  This is checked and valid. */
ADDW	R2, R0, #8
ADDW	R1, R2, #8
STR	R2, [R1, #0]
;list.c,95 :: 		pxList->uxNumberOfItems = ( UBaseType_t ) 0U;
MOV	R1, #0
STR	R1, [R0, #0]
; pxList end address is: 0 (R0)
;list.c,101 :: 		}
L_end_vListInitialise:
BX	LR
; end of _vListInitialise
_vListInitialiseItem:
;list.c,104 :: 		void vListInitialiseItem( ListItem_t * const pxItem )
; pxItem start address is: 0 (R0)
; pxItem end address is: 0 (R0)
; pxItem start address is: 0 (R0)
;list.c,107 :: 		pxItem->pvContainer = NULL;
ADDW	R2, R0, #16
; pxItem end address is: 0 (R0)
MOVS	R1, #0
STR	R1, [R2, #0]
;list.c,113 :: 		}
L_end_vListInitialiseItem:
BX	LR
; end of _vListInitialiseItem
_vListInsertEnd:
;list.c,116 :: 		void vListInsertEnd( List_t * const pxList, ListItem_t * const pxNewListItem )
; pxNewListItem start address is: 4 (R1)
; pxList start address is: 0 (R0)
; pxNewListItem end address is: 4 (R1)
; pxList end address is: 0 (R0)
; pxList start address is: 0 (R0)
; pxNewListItem start address is: 4 (R1)
;list.c,118 :: 		ListItem_t * const pxIndex = pxList->pxIndex;
ADDS	R2, R0, #4
LDR	R3, [R2, #0]
; pxIndex start address is: 16 (R4)
MOV	R4, R3
;list.c,129 :: 		pxNewListItem->pxNext = pxIndex;
ADDS	R2, R1, #4
STR	R3, [R2, #0]
;list.c,130 :: 		pxNewListItem->pxPrevious = pxIndex->pxPrevious;
ADDW	R3, R1, #8
ADDW	R2, R4, #8
LDR	R2, [R2, #0]
STR	R2, [R3, #0]
;list.c,135 :: 		pxIndex->pxPrevious->pxNext = pxNewListItem;
ADDW	R2, R4, #8
LDR	R2, [R2, #0]
ADDS	R2, R2, #4
STR	R1, [R2, #0]
;list.c,136 :: 		pxIndex->pxPrevious = pxNewListItem;
ADDW	R2, R4, #8
; pxIndex end address is: 16 (R4)
STR	R1, [R2, #0]
;list.c,139 :: 		pxNewListItem->pvContainer = ( void * ) pxList;
ADDW	R2, R1, #16
; pxNewListItem end address is: 4 (R1)
STR	R0, [R2, #0]
;list.c,141 :: 		( pxList->uxNumberOfItems )++;
LDR	R2, [R0, #0]
ADDS	R2, R2, #1
STR	R2, [R0, #0]
; pxList end address is: 0 (R0)
;list.c,142 :: 		}
L_end_vListInsertEnd:
BX	LR
; end of _vListInsertEnd
_vListInsert:
;list.c,145 :: 		void vListInsert( List_t * const pxList, ListItem_t * const pxNewListItem )
; pxNewListItem start address is: 4 (R1)
; pxList start address is: 0 (R0)
SUB	SP, SP, #4
; pxNewListItem end address is: 4 (R1)
; pxList end address is: 0 (R0)
; pxList start address is: 0 (R0)
; pxNewListItem start address is: 4 (R1)
;list.c,148 :: 		const TickType_t xValueOfInsertion = pxNewListItem->xItemValue;
LDR	R2, [R1, #0]
; xValueOfInsertion start address is: 12 (R3)
MOV	R3, R2
;list.c,164 :: 		if( xValueOfInsertion == portMAX_DELAY )
CMP	R2, #-1
IT	NE
BNE	L_vListInsert0
; xValueOfInsertion end address is: 12 (R3)
;list.c,166 :: 		pxIterator = pxList->xListEnd.pxPrevious;
ADDW	R2, R0, #8
ADDS	R2, #8
LDR	R4, [R2, #0]
; pxIterator start address is: 16 (R4)
;list.c,167 :: 		}
; pxIterator end address is: 16 (R4)
IT	AL
BAL	L_vListInsert1
L_vListInsert0:
;list.c,192 :: 		for( pxIterator = ( ListItem_t * ) &( pxList->xListEnd ); pxIterator->pxNext->xItemValue <= xValueOfInsertion; pxIterator = pxIterator->pxNext ) /*lint !e826 !e740 The mini list structure is used as the list end to save RAM.  This is checked and valid. */
; xValueOfInsertion start address is: 12 (R3)
ADDW	R4, R0, #8
; pxIterator start address is: 16 (R4)
; xValueOfInsertion end address is: 12 (R3)
; pxList end address is: 0 (R0)
; pxNewListItem end address is: 4 (R1)
; pxIterator end address is: 16 (R4)
STR	R3, [SP, #0]
MOV	R3, R1
LDR	R1, [SP, #0]
L_vListInsert2:
; pxIterator start address is: 16 (R4)
; xValueOfInsertion start address is: 4 (R1)
; pxNewListItem start address is: 12 (R3)
; pxList start address is: 0 (R0)
ADDS	R2, R4, #4
LDR	R2, [R2, #0]
LDR	R2, [R2, #0]
CMP	R2, R1
IT	HI
BHI	L_vListInsert3
ADDS	R2, R4, #4
; pxIterator end address is: 16 (R4)
LDR	R4, [R2, #0]
; pxIterator start address is: 16 (R4)
;list.c,196 :: 		}
; xValueOfInsertion end address is: 4 (R1)
IT	AL
BAL	L_vListInsert2
L_vListInsert3:
;list.c,197 :: 		}
; pxList end address is: 0 (R0)
; pxIterator end address is: 16 (R4)
MOV	R1, R3
L_vListInsert1:
; pxNewListItem end address is: 12 (R3)
;list.c,199 :: 		pxNewListItem->pxNext = pxIterator->pxNext;
; pxList start address is: 0 (R0)
; pxNewListItem start address is: 4 (R1)
; pxIterator start address is: 16 (R4)
ADDS	R3, R1, #4
ADDS	R2, R4, #4
LDR	R2, [R2, #0]
STR	R2, [R3, #0]
;list.c,200 :: 		pxNewListItem->pxNext->pxPrevious = pxNewListItem;
ADDS	R2, R1, #4
LDR	R2, [R2, #0]
ADDS	R2, #8
STR	R1, [R2, #0]
;list.c,201 :: 		pxNewListItem->pxPrevious = pxIterator;
ADDW	R2, R1, #8
STR	R4, [R2, #0]
;list.c,202 :: 		pxIterator->pxNext = pxNewListItem;
ADDS	R2, R4, #4
; pxIterator end address is: 16 (R4)
STR	R1, [R2, #0]
;list.c,210 :: 		pxNewListItem->pvContainer = ( void * ) pxList;
ADDW	R2, R1, #16
; pxNewListItem end address is: 4 (R1)
STR	R0, [R2, #0]
;list.c,212 :: 		( pxList->uxNumberOfItems )++;
LDR	R2, [R0, #0]
ADDS	R2, R2, #1
STR	R2, [R0, #0]
; pxList end address is: 0 (R0)
;list.c,213 :: 		}
L_end_vListInsert:
ADD	SP, SP, #4
BX	LR
; end of _vListInsert
_uxListRemove:
;list.c,216 :: 		UBaseType_t uxListRemove( ListItem_t * const pxItemToRemove )
; pxItemToRemove start address is: 0 (R0)
; pxItemToRemove end address is: 0 (R0)
; pxItemToRemove start address is: 0 (R0)
;list.c,220 :: 		List_t * const pxList = ( List_t * ) pxItemToRemove->pvContainer;
ADDW	R1, R0, #16
LDR	R1, [R1, #0]
; pxList start address is: 12 (R3)
MOV	R3, R1
;list.c,222 :: 		pxItemToRemove->pxNext->pxPrevious = pxItemToRemove->pxPrevious;
ADDS	R1, R0, #4
LDR	R1, [R1, #0]
ADDW	R2, R1, #8
ADDW	R1, R0, #8
LDR	R1, [R1, #0]
STR	R1, [R2, #0]
;list.c,223 :: 		pxItemToRemove->pxPrevious->pxNext = pxItemToRemove->pxNext;
ADDW	R1, R0, #8
LDR	R1, [R1, #0]
ADDS	R2, R1, #4
ADDS	R1, R0, #4
LDR	R1, [R1, #0]
STR	R1, [R2, #0]
;list.c,229 :: 		if( pxList->pxIndex == pxItemToRemove )
ADDS	R1, R3, #4
LDR	R1, [R1, #0]
CMP	R1, R0
IT	NE
BNE	L_uxListRemove5
;list.c,231 :: 		pxList->pxIndex = pxItemToRemove->pxPrevious;
ADDS	R2, R3, #4
ADDW	R1, R0, #8
LDR	R1, [R1, #0]
STR	R1, [R2, #0]
;list.c,232 :: 		}
IT	AL
BAL	L_uxListRemove6
L_uxListRemove5:
;list.c,236 :: 		}
L_uxListRemove6:
;list.c,238 :: 		pxItemToRemove->pvContainer = NULL;
ADDW	R2, R0, #16
; pxItemToRemove end address is: 0 (R0)
MOVS	R1, #0
STR	R1, [R2, #0]
;list.c,239 :: 		( pxList->uxNumberOfItems )--;
LDR	R1, [R3, #0]
SUBS	R1, R1, #1
STR	R1, [R3, #0]
;list.c,241 :: 		return pxList->uxNumberOfItems;
LDR	R1, [R3, #0]
; pxList end address is: 12 (R3)
MOV	R0, R1
;list.c,242 :: 		}
L_end_uxListRemove:
BX	LR
; end of _uxListRemove
