USB_driver3_ucPortCountLeadingZeros:
;portmacro.h,183 :: 		static inline uint8_t ucPortCountLeadingZeros(uint32_t ulBitmap)
;portmacro.h,185 :: 		asm CLZ R0, R0;
CLZ	R0, R0
;portmacro.h,186 :: 		return R0;
UXTB	R0, R0
;portmacro.h,187 :: 		}
L_end_ucPortCountLeadingZeros:
BX	LR
; end of USB_driver3_ucPortCountLeadingZeros
USB_driver3_vPortRaiseBASEPRI:
;portmacro.h,229 :: 		portFORCE_INLINE static void vPortRaiseBASEPRI( void )
;portmacro.h,234 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewBASEPRI);
MOV	R0, #16
MOV	R12, R0
MSR	#17, R12
;portmacro.h,236 :: 		asm ISB;
ISB	#15
;portmacro.h,237 :: 		asm DSB;
DSB	#15
;portmacro.h,238 :: 		}
L_end_vPortRaiseBASEPRI:
BX	LR
; end of USB_driver3_vPortRaiseBASEPRI
USB_driver3_ulPortRaiseBASEPRI:
;portmacro.h,241 :: 		portFORCE_INLINE static uint32_t ulPortRaiseBASEPRI( void )
;portmacro.h,245 :: 		ulOriginalBASEPRI = CPU_REG_GET(CPU_BASEPRI);
MRS	R12, #17
MOV	R0, R12
; ulOriginalBASEPRI start address is: 4 (R1)
MOV	R1, R0
;portmacro.h,247 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewBASEPRI);
MOV	R0, #16
MOV	R12, R0
MSR	#17, R12
;portmacro.h,249 :: 		asm ISB;
ISB	#15
;portmacro.h,250 :: 		asm DSB;
DSB	#15
;portmacro.h,254 :: 		return ulOriginalBASEPRI;
MOV	R0, R1
; ulOriginalBASEPRI end address is: 4 (R1)
;portmacro.h,255 :: 		}
L_end_ulPortRaiseBASEPRI:
BX	LR
; end of USB_driver3_ulPortRaiseBASEPRI
USB_driver3_vPortSetBASEPRI:
;portmacro.h,258 :: 		portFORCE_INLINE static void vPortSetBASEPRI( uint32_t ulNewMaskValue )
; ulNewMaskValue start address is: 0 (R0)
; ulNewMaskValue end address is: 0 (R0)
; ulNewMaskValue start address is: 0 (R0)
;portmacro.h,260 :: 		CPU_REG_SET(CPU_BASEPRI, ulNewMaskValue);
MOV	R1, R0
; ulNewMaskValue end address is: 0 (R0)
MOV	R12, R1
MSR	#17, R12
;portmacro.h,261 :: 		}
L_end_vPortSetBASEPRI:
BX	LR
; end of USB_driver3_vPortSetBASEPRI
_USBInterrupt:
;USB_driver3.c,102 :: 		void USBInterrupt() iv IVT_INT_OTG_FS ics ICS_AUTO {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_driver3.c,104 :: 		USB_Interrupt_Proc();    // USB interrupt fires all the time. Can't set semaphore here.
BL	_USB_Interrupt_Proc+0
;USB_driver3.c,105 :: 		}
L_end_USBInterrupt:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USBInterrupt
_USB_Initialize:
;USB_driver3.c,110 :: 		void USB_Initialize(void) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_driver3.c,112 :: 		HID_Enable(&USB_RdBuff,&USB_WrBuff);
MOVW	R1, #lo_addr(_USB_WrBuff+0)
MOVT	R1, #hi_addr(_USB_WrBuff+0)
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
BL	_HID_Enable+0
;USB_driver3.c,115 :: 		NVIC_SetIntPriority(IVT_INT_OTG_FS, _NVIC_INT_PRIORITY_LVL4);
MOVS	R1, #4
MOVS	R0, #83
BL	_NVIC_SetIntPriority+0
;USB_driver3.c,117 :: 		USB_Initialized = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(_USB_Initialized+0)
MOVT	R0, #hi_addr(_USB_Initialized+0)
STRB	R1, [R0, #0]
;USB_driver3.c,118 :: 		}
L_end_USB_Initialize:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _USB_Initialize
_USB_CheckIn:
;USB_driver3.c,125 :: 		void USB_CheckIn(void) {
SUB	SP, SP, #28
STR	LR, [SP, #0]
;USB_driver3.c,134 :: 		if (HID_Read() != 0) {
BL	_HID_Read+0
CMP	R0, #0
IT	EQ
BEQ	L_USB_CheckIn0
;USB_driver3.c,135 :: 		switch (USB_RdBuff[0]) { // The first character in read buffer is a command
IT	AL
BAL	L_USB_CheckIn1
;USB_driver3.c,136 :: 		case 'a': // Diagnostic test of USB
L_USB_CheckIn3:
;USB_driver3.c,137 :: 		USB_PutQueue("Command 'a' received\r\n");
MOVW	R0, #lo_addr(?lstr1_USB_driver3+0)
MOVT	R0, #hi_addr(?lstr1_USB_driver3+0)
BL	_USB_PutQueue+0
;USB_driver3.c,138 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,139 :: 		case 'b': // Send software reset to WiFiESP
L_USB_CheckIn4:
;USB_driver3.c,140 :: 		WiFiESP_PutQueue(SEND_SW_RST);
MOVS	R0, #66
BL	_WiFiESP_PutQueue+0
;USB_driver3.c,141 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,142 :: 		case 'c': // Clear flash parameters and set factory defaults into WiFiESP
L_USB_CheckIn5:
;USB_driver3.c,143 :: 		WiFiESP_PutQueue(SET_FACT_DEFAULTS);
MOVS	R0, #67
BL	_WiFiESP_PutQueue+0
;USB_driver3.c,144 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,145 :: 		case 'd': // Set flash with wanted defaults
L_USB_CheckIn6:
;USB_driver3.c,146 :: 		WiFiESP_PutQueue(CONFIG_FLASH);
MOVS	R0, #68
BL	_WiFiESP_PutQueue+0
;USB_driver3.c,147 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,148 :: 		case 'e': // Configure the UART of the WiFiESP and save in flash
L_USB_CheckIn7:
;USB_driver3.c,149 :: 		WiFiESP_PutQueue(SET_UART_CONFIG);
MOVS	R0, #69
BL	_WiFiESP_PutQueue+0
;USB_driver3.c,150 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,151 :: 		case 'f': // Set AT command for a test. Replys with OK.
L_USB_CheckIn8:
;USB_driver3.c,152 :: 		WiFiESP_PutQueue(SEND_AT);
MOVS	R0, #70
BL	_WiFiESP_PutQueue+0
;USB_driver3.c,153 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,154 :: 		case 'g': // Get URL transleted to IP addresses from DNS server
L_USB_CheckIn9:
;USB_driver3.c,155 :: 		WiFiESP_PutQueue(REQUEST_DNS_SERVICE);
MOVS	R0, #71
BL	_WiFiESP_PutQueue+0
;USB_driver3.c,156 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,157 :: 		case 'h': // Get date and time from NTP server and set RTC
L_USB_CheckIn10:
;USB_driver3.c,158 :: 		WiFiESP_PutQueue(REQUEST_NTP_SERVICE);
MOVS	R0, #72
BL	_WiFiESP_PutQueue+0
;USB_driver3.c,159 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,160 :: 		case 'i': // Start HTTP server and wait for an external browser connection
L_USB_CheckIn11:
;USB_driver3.c,161 :: 		WiFiESP_PutQueue(START_HTTP_SERVER);
MOVS	R0, #73
BL	_WiFiESP_PutQueue+0
;USB_driver3.c,162 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,163 :: 		case 'j': // Start a UDP client and connect to a waiting server
L_USB_CheckIn12:
;USB_driver3.c,164 :: 		WiFiESP_PutQueue(START_UDP_CLIENT);
MOVS	R0, #74
BL	_WiFiESP_PutQueue+0
;USB_driver3.c,165 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,166 :: 		case 'k': // Start a TCP client and connect to a waiting server
L_USB_CheckIn13:
;USB_driver3.c,167 :: 		WiFiESP_PutQueue(START_TCP_CLIENT);
MOVS	R0, #75
BL	_WiFiESP_PutQueue+0
;USB_driver3.c,168 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,169 :: 		case 'l': // Start a UDP client in transparent mode. Good for sending binary data.
L_USB_CheckIn14:
;USB_driver3.c,170 :: 		WiFiESP_PutQueue(START_UDP_PASSTHROUGH);
MOVS	R0, #76
BL	_WiFiESP_PutQueue+0
;USB_driver3.c,171 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,172 :: 		case 'm': // List all available access points
L_USB_CheckIn15:
;USB_driver3.c,173 :: 		WiFiESP_PutQueue(LIST_AVAIL_APS);
MOVS	R0, #77
BL	_WiFiESP_PutQueue+0
;USB_driver3.c,174 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,175 :: 		case 'n':
L_USB_CheckIn16:
;USB_driver3.c,177 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,178 :: 		case 'o':
L_USB_CheckIn17:
;USB_driver3.c,180 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,181 :: 		case 'p':
L_USB_CheckIn18:
;USB_driver3.c,182 :: 		USART3_PutQueueText("AT+CWDHCPS_CUR?\r\n");
MOVW	R0, #lo_addr(?lstr2_USB_driver3+0)
MOVT	R0, #hi_addr(?lstr2_USB_driver3+0)
BL	_USART3_PutQueueText+0
;USB_driver3.c,183 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,184 :: 		case 'q':
L_USB_CheckIn19:
;USB_driver3.c,186 :: 		USART3_PutQueueText("AT+CWDHCPS_CUR=1,3,\"192.168.4.10\",\"192.168.4.15\"\r\n");
MOVW	R0, #lo_addr(?lstr3_USB_driver3+0)
MOVT	R0, #hi_addr(?lstr3_USB_driver3+0)
BL	_USART3_PutQueueText+0
;USB_driver3.c,187 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,188 :: 		case 'r':
L_USB_CheckIn20:
;USB_driver3.c,189 :: 		USART3_PutQueueText("AT+CWDHCP_CUR?\r\n");
MOVW	R0, #lo_addr(?lstr4_USB_driver3+0)
MOVT	R0, #hi_addr(?lstr4_USB_driver3+0)
BL	_USART3_PutQueueText+0
;USB_driver3.c,190 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,191 :: 		case 's':
L_USB_CheckIn21:
;USB_driver3.c,192 :: 		USART3_PutQueueText("AT+CWLIF\r\n");
MOVW	R0, #lo_addr(?lstr5_USB_driver3+0)
MOVT	R0, #hi_addr(?lstr5_USB_driver3+0)
BL	_USART3_PutQueueText+0
;USB_driver3.c,193 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,194 :: 		case 't':
L_USB_CheckIn22:
;USB_driver3.c,195 :: 		USART3_PutQueueText("AT+UART_CUR?\r\n");
MOVW	R0, #lo_addr(?lstr6_USB_driver3+0)
MOVT	R0, #hi_addr(?lstr6_USB_driver3+0)
BL	_USART3_PutQueueText+0
;USB_driver3.c,196 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,197 :: 		case 'u': // This is really weird
L_USB_CheckIn23:
;USB_driver3.c,198 :: 		TestStruct = &TestOne;
MOVW	R1, #lo_addr(_TestOne+0)
MOVT	R1, #hi_addr(_TestOne+0)
MOVW	R0, #lo_addr(_TestStruct+0)
MOVT	R0, #hi_addr(_TestStruct+0)
STR	R1, [R0, #0]
;USB_driver3.c,199 :: 		strcpy(Str,"Hello");
MOVW	R1, #lo_addr(?lstr7_USB_driver3+0)
MOVT	R1, #hi_addr(?lstr7_USB_driver3+0)
ADD	R0, SP, #8
BL	_strcpy+0
;USB_driver3.c,200 :: 		TestStruct->MsgLen = strlen(Str);
MOVW	R0, #lo_addr(_TestStruct+0)
MOVT	R0, #hi_addr(_TestStruct+0)
LDR	R0, [R0, #0]
STR	R0, [SP, #24]
ADD	R0, SP, #8
BL	_strlen+0
LDR	R1, [SP, #24]
STRH	R0, [R1, #0]
;USB_driver3.c,201 :: 		TestStruct->TheMessage = &Str;
MOVW	R0, #lo_addr(_TestStruct+0)
MOVT	R0, #hi_addr(_TestStruct+0)
LDR	R0, [R0, #0]
ADDS	R1, R0, #4
ADD	R0, SP, #8
STR	R0, [R1, #0]
;USB_driver3.c,202 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
; BufNum start address is: 12 (R3)
MOV	R3, R0
;USB_driver3.c,203 :: 		sprintf(BufNum,"Length: %d\r\n",TestStruct->MsgLen);
MOVW	R1, #lo_addr(_TestStruct+0)
MOVT	R1, #hi_addr(_TestStruct+0)
LDR	R1, [R1, #0]
LDRH	R1, [R1, #0]
UXTH	R2, R1
MOVW	R1, #lo_addr(?lstr_8_USB_driver3+0)
MOVT	R1, #hi_addr(?lstr_8_USB_driver3+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;USB_driver3.c,204 :: 		USB_PutQueue(BufNum);
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_USB_PutQueue+0
;USB_driver3.c,205 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
; BufNum start address is: 12 (R3)
MOV	R3, R0
;USB_driver3.c,206 :: 		sprintf(BufNum,"Message address: %d\r\n",TestStruct->TheMessage);
MOVW	R1, #lo_addr(_TestStruct+0)
MOVT	R1, #hi_addr(_TestStruct+0)
LDR	R1, [R1, #0]
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
MOV	R2, R1
MOVW	R1, #lo_addr(?lstr_9_USB_driver3+0)
MOVT	R1, #hi_addr(?lstr_9_USB_driver3+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;USB_driver3.c,207 :: 		USB_PutQueue(BufNum);
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_USB_PutQueue+0
;USB_driver3.c,208 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
; BufNum start address is: 12 (R3)
MOV	R3, R0
;USB_driver3.c,209 :: 		sprintf(BufNum,"Message: %s\r\n",TestStruct->TheMessage);
MOVW	R1, #lo_addr(_TestStruct+0)
MOVT	R1, #hi_addr(_TestStruct+0)
LDR	R1, [R1, #0]
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
MOV	R2, R1
MOVW	R1, #lo_addr(?lstr_10_USB_driver3+0)
MOVT	R1, #hi_addr(?lstr_10_USB_driver3+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;USB_driver3.c,210 :: 		USB_PutQueue(BufNum);
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_USB_PutQueue+0
;USB_driver3.c,212 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,213 :: 		case 'v': // This works too
L_USB_CheckIn24:
;USB_driver3.c,214 :: 		TestStruct = &TestOne;
MOVW	R1, #lo_addr(_TestOne+0)
MOVT	R1, #hi_addr(_TestOne+0)
MOVW	R0, #lo_addr(_TestStruct+0)
MOVT	R0, #hi_addr(_TestStruct+0)
STR	R1, [R0, #0]
;USB_driver3.c,215 :: 		TestStruct->MsgLen = strlen("Hello");
LDR	R0, [R0, #0]
STR	R0, [SP, #24]
MOVW	R0, #lo_addr(?lstr11_USB_driver3+0)
MOVT	R0, #hi_addr(?lstr11_USB_driver3+0)
BL	_strlen+0
LDR	R1, [SP, #24]
STRH	R0, [R1, #0]
;USB_driver3.c,216 :: 		TestStruct->TheMessage = "Hello";
MOVW	R0, #lo_addr(_TestStruct+0)
MOVT	R0, #hi_addr(_TestStruct+0)
LDR	R0, [R0, #0]
ADDS	R1, R0, #4
MOVW	R0, #lo_addr(?lstr12_USB_driver3+0)
MOVT	R0, #hi_addr(?lstr12_USB_driver3+0)
STR	R0, [R1, #0]
;USB_driver3.c,217 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
; BufNum start address is: 12 (R3)
MOV	R3, R0
;USB_driver3.c,218 :: 		sprintf(BufNum,"Length: %d\r\n",TestStruct->MsgLen);
MOVW	R1, #lo_addr(_TestStruct+0)
MOVT	R1, #hi_addr(_TestStruct+0)
LDR	R1, [R1, #0]
LDRH	R1, [R1, #0]
UXTH	R2, R1
MOVW	R1, #lo_addr(?lstr_13_USB_driver3+0)
MOVT	R1, #hi_addr(?lstr_13_USB_driver3+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;USB_driver3.c,219 :: 		USB_PutQueue(BufNum);
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_USB_PutQueue+0
;USB_driver3.c,220 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
; BufNum start address is: 12 (R3)
MOV	R3, R0
;USB_driver3.c,221 :: 		sprintf(BufNum,"Message address: %d\r\n",TestStruct->TheMessage);
MOVW	R1, #lo_addr(_TestStruct+0)
MOVT	R1, #hi_addr(_TestStruct+0)
LDR	R1, [R1, #0]
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
MOV	R2, R1
MOVW	R1, #lo_addr(?lstr_14_USB_driver3+0)
MOVT	R1, #hi_addr(?lstr_14_USB_driver3+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;USB_driver3.c,222 :: 		USB_PutQueue(BufNum);
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_USB_PutQueue+0
;USB_driver3.c,223 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
; BufNum start address is: 12 (R3)
MOV	R3, R0
;USB_driver3.c,224 :: 		sprintf(BufNum,"Message: %s\r\n",TestStruct->TheMessage);
MOVW	R1, #lo_addr(_TestStruct+0)
MOVT	R1, #hi_addr(_TestStruct+0)
LDR	R1, [R1, #0]
ADDS	R1, R1, #4
LDR	R1, [R1, #0]
MOV	R2, R1
MOVW	R1, #lo_addr(?lstr_15_USB_driver3+0)
MOVT	R1, #hi_addr(?lstr_15_USB_driver3+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;USB_driver3.c,225 :: 		USB_PutQueue(BufNum);
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_USB_PutQueue+0
;USB_driver3.c,226 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,227 :: 		case 'w':
L_USB_CheckIn25:
;USB_driver3.c,228 :: 		BufNum = GetBuffer();
BL	_GetBuffer+0
; BufNum start address is: 12 (R3)
MOV	R3, R0
;USB_driver3.c,229 :: 		sprintf(BufNum,"Size of htmlPage is: %d\r\n",strlen(htmlPage));
STR	R3, [SP, #4]
MOVW	R0, #lo_addr(_htmlPage+0)
MOVT	R0, #hi_addr(_htmlPage+0)
BL	_strlen+0
LDR	R3, [SP, #4]
MOVW	R2, #lo_addr(?lstr_16_USB_driver3+0)
MOVT	R2, #hi_addr(?lstr_16_USB_driver3+0)
MOV	R1, R3
STR	R3, [SP, #4]
PUSH	(R0)
PUSH	(R2)
PUSH	(R1)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;USB_driver3.c,230 :: 		USB_PutQueue(BufNum);
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_USB_PutQueue+0
;USB_driver3.c,231 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,232 :: 		case 'x':
L_USB_CheckIn26:
;USB_driver3.c,233 :: 		SendLength((char*)indexPage1);
MOVW	R0, #lo_addr(_indexPage1+0)
MOVT	R0, #hi_addr(_indexPage1+0)
BL	_SendLength+0
;USB_driver3.c,234 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,235 :: 		case 'y':
L_USB_CheckIn27:
;USB_driver3.c,236 :: 		GetLocalIP();
BL	_GetLocalIP+0
;USB_driver3.c,237 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,239 :: 		case 'z': // Force a system reset
L_USB_CheckIn28:
;USB_driver3.c,240 :: 		SystemReset();
BL	_SystemReset+0
;USB_driver3.c,241 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,245 :: 		default:  // Catch all other unimplemented commands
L_USB_CheckIn29:
;USB_driver3.c,246 :: 		BufNum = GetBuffer();  // Get a free buffer
BL	_GetBuffer+0
; BufNum start address is: 12 (R3)
MOV	R3, R0
;USB_driver3.c,247 :: 		sprintf(BufNum,"Unknown command: %c\r\n",USB_RdBuff[0]);
MOVW	R1, #lo_addr(_USB_RdBuff+0)
MOVT	R1, #hi_addr(_USB_RdBuff+0)
LDRB	R2, [R1, #0]
MOVW	R1, #lo_addr(?lstr_17_USB_driver3+0)
MOVT	R1, #hi_addr(?lstr_17_USB_driver3+0)
STR	R3, [SP, #4]
PUSH	(R2)
PUSH	(R1)
PUSH	(R0)
BL	_sprintf+0
ADD	SP, SP, #12
LDR	R3, [SP, #4]
;USB_driver3.c,248 :: 		USB_PutQueue(BufNum);
MOV	R0, R3
; BufNum end address is: 12 (R3)
BL	_USB_PutQueue+0
;USB_driver3.c,249 :: 		break;
IT	AL
BAL	L_USB_CheckIn2
;USB_driver3.c,250 :: 		}
L_USB_CheckIn1:
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #97
IT	EQ
BEQ	L_USB_CheckIn3
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #98
IT	EQ
BEQ	L_USB_CheckIn4
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #99
IT	EQ
BEQ	L_USB_CheckIn5
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #100
IT	EQ
BEQ	L_USB_CheckIn6
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #101
IT	EQ
BEQ	L_USB_CheckIn7
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #102
IT	EQ
BEQ	L_USB_CheckIn8
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #103
IT	EQ
BEQ	L_USB_CheckIn9
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #104
IT	EQ
BEQ	L_USB_CheckIn10
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #105
IT	EQ
BEQ	L_USB_CheckIn11
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #106
IT	EQ
BEQ	L_USB_CheckIn12
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #107
IT	EQ
BEQ	L_USB_CheckIn13
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #108
IT	EQ
BEQ	L_USB_CheckIn14
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #109
IT	EQ
BEQ	L_USB_CheckIn15
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #110
IT	EQ
BEQ	L_USB_CheckIn16
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #111
IT	EQ
BEQ	L_USB_CheckIn17
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #112
IT	EQ
BEQ	L_USB_CheckIn18
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #113
IT	EQ
BEQ	L_USB_CheckIn19
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #114
IT	EQ
BEQ	L_USB_CheckIn20
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #115
IT	EQ
BEQ	L_USB_CheckIn21
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #116
IT	EQ
BEQ	L_USB_CheckIn22
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #117
IT	EQ
BEQ	L_USB_CheckIn23
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #118
IT	EQ
BEQ	L_USB_CheckIn24
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #119
IT	EQ
BEQ	L_USB_CheckIn25
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #120
IT	EQ
BEQ	L_USB_CheckIn26
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #121
IT	EQ
BEQ	L_USB_CheckIn27
MOVW	R0, #lo_addr(_USB_RdBuff+0)
MOVT	R0, #hi_addr(_USB_RdBuff+0)
LDRB	R0, [R0, #0]
CMP	R0, #122
IT	EQ
BEQ	L_USB_CheckIn28
IT	AL
BAL	L_USB_CheckIn29
L_USB_CheckIn2:
;USB_driver3.c,251 :: 		}
L_USB_CheckIn0:
;USB_driver3.c,252 :: 		}
L_end_USB_CheckIn:
LDR	LR, [SP, #0]
ADD	SP, SP, #28
BX	LR
; end of _USB_CheckIn
_USB_PutQueue:
;USB_driver3.c,257 :: 		void USB_PutQueue(char *msg) {
SUB	SP, SP, #8
STR	LR, [SP, #0]
STR	R0, [SP, #4]
;USB_driver3.c,260 :: 		rtnCode = xQueueSend(xPointerQueue, &msg, 0); // No blocking
ADD	R2, SP, #4
MOVW	R1, #lo_addr(_xPointerQueue+0)
MOVT	R1, #hi_addr(_xPointerQueue+0)
LDR	R1, [R1, #0]
MOV	R3, #0
MOV	R0, R1
MOV	R1, R2
MOVS	R2, #0
BL	_xQueueGenericSend+0
;USB_driver3.c,262 :: 		if (rtnCode == pdFAIL)
CMP	R0, #0
IT	NE
BNE	L_USB_PutQueue30
;USB_driver3.c,263 :: 		;//Timer8_Ch2_Start(); // Flash PC7 LED if pdFAIL
L_USB_PutQueue30:
;USB_driver3.c,264 :: 		}
L_end_USB_PutQueue:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _USB_PutQueue
_USB_CheckOut:
;USB_driver3.c,271 :: 		void USB_CheckOut(void) {
SUB	SP, SP, #12
STR	LR, [SP, #0]
;USB_driver3.c,272 :: 		char RetryCount = 0;          // Set to zero on entry to this function
MOVS	R0, #0
STRB	R0, [SP, #8]
;USB_driver3.c,276 :: 		rtnCode = xQueueReceive(xPointerQueue, &pcReceivedAddr, 0xFFFFFFFFU); // Block here
ADD	R1, SP, #4
MOVW	R0, #lo_addr(_xPointerQueue+0)
MOVT	R0, #hi_addr(_xPointerQueue+0)
LDR	R0, [R0, #0]
MOV	R3, #0
MOV	R2, #-1
BL	_xQueueGenericReceive+0
;USB_driver3.c,278 :: 		if (rtnCode == pdPASS) {
CMP	R0, #1
IT	NE
BNE	L_USB_CheckOut31
;USB_driver3.c,279 :: 		while (((HID_Write(pcReceivedAddr,64) == 0)) && (RetryCount < 5)) { // Send 64 bytes to USB
L_USB_CheckOut32:
MOVS	R1, #64
LDR	R0, [SP, #4]
BL	_HID_Write+0
CMP	R0, #0
IT	NE
BNE	L__USB_CheckOut45
LDRB	R0, [SP, #8]
CMP	R0, #5
IT	CS
BCS	L__USB_CheckOut44
L__USB_CheckOut43:
;USB_driver3.c,280 :: 		RetryCount++;       // Try 5 times
LDRB	R0, [SP, #8]
ADDS	R0, R0, #1
STRB	R0, [SP, #8]
;USB_driver3.c,281 :: 		}
IT	AL
BAL	L_USB_CheckOut32
;USB_driver3.c,279 :: 		while (((HID_Write(pcReceivedAddr,64) == 0)) && (RetryCount < 5)) { // Send 64 bytes to USB
L__USB_CheckOut45:
L__USB_CheckOut44:
;USB_driver3.c,282 :: 		} else {
IT	AL
BAL	L_USB_CheckOut36
L_USB_CheckOut31:
;USB_driver3.c,284 :: 		}
L_USB_CheckOut36:
;USB_driver3.c,285 :: 		}
L_end_USB_CheckOut:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _USB_CheckOut
_usbRcvTask:
;USB_driver3.c,291 :: 		void usbRcvTask(void *pvParameters) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_driver3.c,293 :: 		USB_Initialize();             // Initialize USB hardware
BL	_USB_Initialize+0
;USB_driver3.c,296 :: 		usbSemHandle = xSemaphoreCreateBinary();
MOVS	R2, #3
MOVS	R1, #0
MOV	R0, #1
BL	_xQueueGenericCreate+0
MOVW	R1, #lo_addr(_usbSemHandle+0)
MOVT	R1, #hi_addr(_usbSemHandle+0)
STR	R0, [R1, #0]
;USB_driver3.c,297 :: 		vQueueAddToRegistry(usbSemHandle, "USB receive Semaphore");
MOVW	R2, #lo_addr(?lstr_18_USB_driver3+0)
MOVT	R2, #hi_addr(?lstr_18_USB_driver3+0)
MOV	R1, R0
MOV	R0, R1
MOV	R1, R2
BL	_vQueueAddToRegistry+0
;USB_driver3.c,299 :: 		while (1) {
L_usbRcvTask37:
;USB_driver3.c,300 :: 		USB_CheckIn(); // Check for incoming USB messages
BL	_USB_CheckIn+0
;USB_driver3.c,302 :: 		}
IT	AL
BAL	L_usbRcvTask37
;USB_driver3.c,303 :: 		}
L_end_usbRcvTask:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _usbRcvTask
_usbXmtTask:
;USB_driver3.c,310 :: 		void usbXmtTask(void *pvParameters) {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;USB_driver3.c,313 :: 		xPointerQueue = xQueueCreate(64, sizeof(char *));
MOVS	R2, #0
MOVS	R1, #4
MOVS	R0, #64
BL	_xQueueGenericCreate+0
MOVW	R1, #lo_addr(_xPointerQueue+0)
MOVT	R1, #hi_addr(_xPointerQueue+0)
STR	R0, [R1, #0]
;USB_driver3.c,314 :: 		if (xPointerQueue == NULL) {
CMP	R0, #0
IT	NE
BNE	L_usbXmtTask39
;USB_driver3.c,315 :: 		USB_PutQueue("Error: Could not create USB pointer queue\r\n");
MOVW	R1, #lo_addr(?lstr19_USB_driver3+0)
MOVT	R1, #hi_addr(?lstr19_USB_driver3+0)
MOV	R0, R1
BL	_USB_PutQueue+0
;USB_driver3.c,316 :: 		} else {
IT	AL
BAL	L_usbXmtTask40
L_usbXmtTask39:
;USB_driver3.c,317 :: 		USB_PutQueue("Diag: USB pointer queue created successfully\r\n");
MOVW	R1, #lo_addr(?lstr20_USB_driver3+0)
MOVT	R1, #hi_addr(?lstr20_USB_driver3+0)
MOV	R0, R1
BL	_USB_PutQueue+0
;USB_driver3.c,318 :: 		vQueueAddToRegistry(xPointerQueue, "USB message pointer queue");
MOVW	R2, #lo_addr(?lstr_21_USB_driver3+0)
MOVT	R2, #hi_addr(?lstr_21_USB_driver3+0)
MOVW	R1, #lo_addr(_xPointerQueue+0)
MOVT	R1, #hi_addr(_xPointerQueue+0)
LDR	R1, [R1, #0]
MOV	R0, R1
MOV	R1, R2
BL	_vQueueAddToRegistry+0
;USB_driver3.c,319 :: 		}
L_usbXmtTask40:
;USB_driver3.c,323 :: 		USB_PutQueue("Diag: USB task started\r\n");       // Send opening message on USB
MOVW	R1, #lo_addr(?lstr22_USB_driver3+0)
MOVT	R1, #hi_addr(?lstr22_USB_driver3+0)
MOV	R0, R1
BL	_USB_PutQueue+0
;USB_driver3.c,326 :: 		vTaskDelay(pdMS_TO_TICKS(14000));
MOVW	R0, #14000
MOVT	R0, #0
BL	_vTaskDelay+0
;USB_driver3.c,333 :: 		while (1) {
L_usbXmtTask41:
;USB_driver3.c,334 :: 		USB_CheckOut(); // Check for outgoing USB messages
BL	_USB_CheckOut+0
;USB_driver3.c,335 :: 		}
IT	AL
BAL	L_usbXmtTask41
;USB_driver3.c,336 :: 		}
L_end_usbXmtTask:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _usbXmtTask
